jQuery.noConflict();
(function($, PLUGIN_ID) {

  "use strict";

  $(document).ready(function() {
    var KEY = PLUGIN_ID;
    var config = kintone.plugin.app.getConfig(KEY);

    if (config) {
      // プラグインの有効化
      if (config['activation']) {
        $('input:radio[name="radio"]').val([config['activation']]);
      }
    }

    $('#submit').click(function() {
      // プラグインの有効化の値
      config['activation'] = $('input:radio[name="radio"]:checked').val();
      // 設定情報の保存&画面遷移
      kintone.plugin.app.setConfig(config);
    });

    $('#cancel').click(function() {
      history.back();
    });
  });
})(jQuery, kintone.$PLUGIN_ID);
